Subject: [dhcwg] Late IPR on draft-ietf-dhc-secure-dhcpv6

From: Ted Lemon <[email-masked]>
Date: Thu, 14 Mar 2013 16:45:22 +0000

This is a formal notice of an IPR policy violation according to rfC3979, section 6.2.1, by Sheng Jiang, regarding the secure DHCPv6 draft mentioned in the subject of this message.   The working group chairs or AD are responsible for keeping track of IPR policy violations and imposing appropriate sanctions.

The nature of the policy violation is that disclosure of IPR that the author of the draft believed to cover the draft was made two years after the publication of the initial individual submission.   DIsclosure of IPR is required of IETF participants, as documented in the Note Well policy, and it is required to be done in a timely manner.   Please see the text here:

	http://tools.ietf.org/html/rfc3979#section-6.2

I do not know the fine details of the sequence of events, but here is the history from a publication perspective:

•draft-jiang-dhc-secure-dhcpv6-00 published July 4, 2008
•draft-ietf-dhc-secure-dhcpv6-00 published April 12, 2010
•IPR 1343 published June 23, 2010
•WGLC June 16, 2011

The working group was aware of the IPR at the time of the WGLC, and indeed well before the WGLC, and discussed it as it related to the draft.   So this is not a situation where there is a question as to the consensus to proceed.   The advancement of the draft through the IESG is not affected by concern for consensus.   However, the late disclosure does affect the advancement of the draft, and is what triggered this review of the history of the late IPR disclosure.

RFC6701 requires working group chairs and/or ADs to impose sanctions when IPR policy violations have occurred.   RFC6701 provides a list of potential sanctions up to and including removing authors from drafts and restricting their ability to post on working group mailing lists for periods of time.

The sanction that I have chosen in this case is option d in section 4 of RFC6701, which is to announce what happened on the mailing list.   I will also be mentioning this in the working group meeting this afternoon.

I would encourage any and all participants in the working group who have any thoughts of acquiring IPR on IETF work that they may be doing, or are aware of patent applications or similar efforts relating to work they are doing, to review BCP79 and RFC6701 to obtain a clear understanding of what is required of you in relation to these efforts.